Subject: Re: [PATCH 2/4] [OF] spi_of: add support for dedicated SPI constructors

From: Anton Vorontsov <[email-masked]>
Date: Wed, 21 May 2008 20:48:41 +0400

On Wed, May 21, 2008 at 06:24:58PM +0200, Guennadi Liakhovetski wrote:
> On Wed, 21 May 2008, Anton Vorontsov wrote:
> 
> > On Wed, May 21, 2008 at 05:56:33PM +0200, Guennadi Liakhovetski wrote:
> > > 
> > > Hm, I might well misunderstand something here, but it looks to me like you 
> > > are again trying to use both OF _and_ platform (spi_board_info) bindings 
> > > for your SPI setup?
> > 
> > Yes, you didn't misunderstand. ;-)
> > 
> > > And this is exactly what we are trying to avoid in 
> > > Grant's series of patches...
> > 
> > I didn't find other way... The show stopper is "master" argument,
> > drivers don't know about masters (and should not, since if they should,
> > then this implies that masters should be registered prior to devices,
> > and that complicates everything).
> > 
> > What is the problem with board infos, btw? I missed that part. Board
> 
> In short: board infos are not bad as such. I find it bad if you have to 
> use both OF and platform bindings to describe _one_ piece of hardware.

This particular discussion isn't about describing hardware (since
we're describing it via device tree), but about implementation
details, such as:

1. Passing platform_data to the drivers;
2. Creating "SPI Linux devices" from the OF description.

I see there ways:

1. Grant Likely's approach (works great for simple drivers which don't
   need SPI platform_data).
2. Old board infos approach, there we can do whatever we want.
3. Implementing OF bindings for the every SPI driver that needs
   platform_data.

I could do "3", let's see what it will look like...

-- 
Anton Vorontsov
email: [email-masked]
irc://irc.freenode.net/bd2